%define levelsets	20160512

Summary:	Breakout-style arcade game
Name:		lbreakouthd
Version:	1.1.10
Release:	%mkrel 1
Url:		https://lgames.sourceforge.io/LBreakoutHD
Source0:	https://sourceforge.net/projects/lgames/files/%{name}/%{name}-%{version}.tar.gz
Source1:	https://sourceforge.net/projects/lgames/files/add-ons/lbreakout2/lbreakout2-levelsets-%{levelsets}.tar.gz
Patch1:		lbreakouthd-1.1.9-fix-build-with-gcc15.patch
License:	GPLv3+
Group:		Games/Arcade
BuildRequires:	sdl2-devel
BuildRequires:	sdl2_image-devel
BuildRequires:	sdl2_mixer-devel
BuildRequires:	sdl2_ttf-devel
Obsoletes:	lbreakout2 < 2.6.6
Provides:	lbreakout2


%description
HD is a scaleable 16:9 remake of LBreakout2.
LBreakout is a classical Breakout game and this means (if you like Breakout ;-)
it is a lot of fun to play!
If you never ever played such a game you can check out the manual for more
information, take a look at the screenshots and last but not least... play it!

%prep
%autosetup -p1

# remove -Wno-format
sed -i -e 's/\s\+-Wno-format//g' configure.ac

%build
autoreconf -fi
%configure	--bindir=%{_gamesbindir} \
		--localstatedir=%{_localstatedir}/games
%make_build

%install
install -d %{buildroot}%{_localstatedir}/games
%make_install

tar xzC %{buildroot}%{_datadir}/%{name}/levels -f %SOURCE1

desktop-file-install --vendor="" \
  --add-category="ArcadeGame" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc README TODO
%attr(2755, root, games) %{_gamesbindir}/*
%config(noreplace) %attr(664, games, games) %{_localstatedir}/games/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/256x256/apps/%{name}.png


%changelog
* Mon May 12 2025 ns80 <ns80> 1.1.10-1.mga10
+ Revision: 2182521
- new version 1.1.10

* Mon Apr 28 2025 ns80 <ns80> 1.1.9-3.mga10
+ Revision: 2179553
- try to fix building with GCC 15
+ wally <wally>
- properly use -Werror=format-security compiler flag

* Fri Sep 13 2024 ns80 <ns80> 1.1.9-2.mga10
+ Revision: 2095654
- update levelsets to update JustGoForIt and add Picky

* Wed Jul 17 2024 ns80 <ns80> 1.1.9-1.mga10
+ Revision: 2081905
- new version 1.1.9

* Mon Apr 29 2024 ns80 <ns80> 1.1.8-1.mga10
+ Revision: 2061604
- new version 1.1.8

* Tue Apr 09 2024 ns80 <ns80> 1.1.7-1.mga10
+ Revision: 2056175
- new version 1.1.7

* Tue Jan 23 2024 ns80 <ns80> 1.1.6-1.mga10
+ Revision: 2033936
- new version 1.1.6

* Wed Jan 17 2024 ns80 <ns80> 1.1.5-1.mga10
+ Revision: 2031813
- new version 1.1.5

* Mon May 15 2023 ns80 <ns80> 1.1.3-1.mga9
+ Revision: 1956919
- new version 1.1.3

* Mon Mar 20 2023 ns80 <ns80> 1.1.2-1.mga9
+ Revision: 1949777
- new version 1.1.2

* Wed Dec 28 2022 ns80 <ns80> 1.1.1-1.mga9
+ Revision: 1927336
- new version 1.1.1

* Thu Nov 17 2022 ns80 <ns80> 1.1-1.mga9
+ Revision: 1908399
- new version 1.1

* Tue Jun 07 2022 ns80 <ns80> 1.0.10-1.mga9
+ Revision: 1863046
- imported package lbreakouthd

